import java.awt.List;
import java.io.*;
import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.LinkedList;
import java.util.Map;
import java.util.Queue;
import java.util.Scanner;
import java.util.StringTokenizer;

import javax.management.Query;

public class dinner_nk {

	BufferedReader in;
	StringTokenizer str;
	PrintWriter out;

	String next() throws IOException {
		String help;
		while ((str == null) || (!str.hasMoreTokens())) {
			help = in.readLine();
			if (help == null) {
				return null;
			}
			str = new StringTokenizer(help);
		}
		return str.nextToken();
	}

	int nextInt() throws IOException {
		return Integer.parseInt(next());
	}

	long nextLong() throws IOException {
		return Long.parseLong(next());
	}

	public int gcd(int x, int y) {
		return (y == 0 ? x : gcd(y, x % y));
	}

	public boolean check(int x, int y, int r, int cx, int cy) {
		return ((cx - x) * (cx - x) + (cy - y) * (cy - y) <= r * r);
	}

	public void solve() throws IOException {
		in = new BufferedReader(new FileReader("dinner.in"));
		out = new PrintWriter("dinner.out");
		int k = nextInt();
		int n = nextInt();
		int sum = 0;
                int mn = 1000000000;
		for (int i = 1; i<=n; i++){
			int b = nextInt();
			sum+= b;
			mn = Math.min(mn, b);
		}
		if ((sum - mn>= k))
			out.print("YES");
      		else
		out.print("NO");
		out.close();
	}

	static void myAssert(boolean b, String string) {
		if (!b) {
			throw new AssertionError(string);
		}
	}

	public static void main(String[] args) throws IOException {
		new dinner_nk().solve();
	}
}